#!/bin/sh

echo "~> Changing password for root account."
arch-chroot /mnt passwd root

echo -n "~> Do you want to create an user account? (Y/n) "
read answer

if [ "$answer" == "n" ] || [ "$answer" == "N" ]; then
	amf_return=0
else
	echo -n "   Name of your new user? "
	read name
	export username=$name
	arch-chroot /mnt useradd -m $name
    arch-chroot /mnt passwd $name
    
    # If group "sudo" exists (=> sudo.flavour was installed), ask if the user should be added
    if [ $(getent group sudo) ]; then
        echo -n "~> Do you want to add $name to sudoers? (Y/n) "
        read answer
        if [ "$answer" == "y" ] || [ "$answer" == "Y" ]; then
            usermod -a -G sudo $name
        fi
    fi

	amf_return=0
fi
